gnunet-svn
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[GNUnet-SVN] [taler-deployment] branch master updated: automatic compila


From: gnunet
Subject: [GNUnet-SVN] [taler-deployment] branch master updated: automatic compilation for backoffice
Date: Wed, 17 Jan 2018 15:05:54 +0100

This is an automated email from the git hooks/post-receive script.

marcello pushed a commit to branch master
in repository deployment.

The following commit(s) were added to refs/heads/master by this push:
     new 8655b8d  automatic compilation for backoffice
8655b8d is described below

commit 8655b8d78147fe7e3bda5436a3f3796cca15d9a0
Author: Marcello Stanisci <address@hidden>
AuthorDate: Wed Jan 17 15:05:19 2018 +0100

    automatic compilation for backoffice
---
 taler-build/Makefile             |  6 +++++-
 taler-build/update_backoffice.sh | 18 ++++++++++++++++++
 2 files changed, 23 insertions(+), 1 deletion(-)

diff --git a/taler-build/Makefile b/taler-build/Makefile
index 3d1a0fb..ca05119 100644
--- a/taler-build/Makefile
+++ b/taler-build/Makefile
@@ -1,9 +1,13 @@
-all: exchange-stamp bank-stamp merchant-stamp gnunet-stamp donations-stamp 
blog-stamp landing-stamp deployment-stamp auditor-stamp survey-stamp
+all: exchange-stamp bank-stamp merchant-stamp gnunet-stamp donations-stamp 
blog-stamp landing-stamp deployment-stamp auditor-stamp survey-stamp 
backoffice-stamp
 
 deployment-stamp:
        ./update_deployment.sh
        touch $@
 
+backoffice-stamp:
+       ./update_backoffice.sh
+       touch $@
+
 # depends on bank due to bank-lib testcase
 exchange-stamp: gnunet-stamp deployment-stamp bank-stamp
        ./update_exchange.sh
diff --git a/taler-build/update_backoffice.sh b/taler-build/update_backoffice.sh
new file mode 100644
index 0000000..2d983a7
--- /dev/null
+++ b/taler-build/update_backoffice.sh
@@ -0,0 +1,18 @@
+#!/bin/bash
+
+set -eu
+
+cd $HOME/backoffice/
+git clean -fxd
+
+git fetch
+# reset to updated upstream branch, but only if we're tracking a branch
+branch=$(git rev-parse --abbrev-ref --symbolic-full-name @{u} 2>/dev/null || 
echo HEAD)
+git reset --hard "$branch"
+
+git submodule update --init --force
+
+./bootstrap
+./configure --prefix="$HOME/local"
+make check-js
+make install check

-- 
To stop receiving notification emails like this one, please contact
address@hidden



reply via email to

[Prev in Thread] Current Thread [Next in Thread]